/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2017 Coppermine Dev Team
  v1.0 originally written by Gregory Demar

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
  
  ********************************************
  Coppermine version: 1.5.46
  $HeadURL: https://svn.code.sf.net/p/coppermine/code/trunk/cpg1.5.x/docs/nl/script.js $
  $Revision: 8873 $
**********************************************/

var linebreak = '\n';

$(function() {
    $("#toc_overall").treeview({
        collapsed: true,
        animated: "medium",
        control:"#sidetreecontrol"
    });
    $(".cpg_zebra tr:even").addClass("tableb");
    $(".cpg_zebra tr:odd").addClass("tableb_alternate");
});

function cpgDocToc() {
  if (getUrlParameters('hide_nav') == 1) {
    $('#toc').replaceWith('');
    return;
  }
var doc_toc = '';
doc_toc += '<div id="toc_collapsed" class="en" class="en">\n';
doc_toc += '<h6><a href="toc.htm" class="en" class="en">Inhoudstafel</a></h6>\n';
doc_toc += 'Hover hier met de muis om uit te klappen\n';
doc_toc += '<div align="center" class="en" class="en"><img src="../../images/icons/downdown.png" border="0" width="10" height="10" alt="" /></div>\n';
doc_toc += '</div>\n';
doc_toc += '<div id="toc_expanded" style="display:none;" class="en" class="en">\n';
doc_toc += '<h6>Table of contents (<a href="../index.htm" class="en" class="en">documentatie taalselectie</a>)</h6>\n';
doc_toc += '<ul id="tree" class="en" class="en">\n';
doc_toc += '  <li><a href="index.htm" class="us_nl" class="en" class="en">Coppermine documentatie</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="index.htm#about" class="nl" class="en" class="en">Over Coppermine</a></li>\n';
doc_toc += '      <li><a href="index.htm#about_documentation" class="nl" class="en" class="en">Over de documentatie</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="index.htm#about_documentation_conventions" class="nl" class="en" class="en">Documentatie Conventies</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="index.htm?expand_all=1#features" class="nl" class="en" class="en">Functies</a></li>\n';
doc_toc += '      <li><a href="quickstart.htm#about" class="nl" class="en" class="en">Quick-Start gids</a></li>\n';
doc_toc += '      <li><a href="toc.htm" class="en" class="en" class="en">Inhoudstafel</a></li>\n';
doc_toc += '      <li><a href="requirements.htm" class="nl" class="en" class="en">Minimum vereisten</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="requirements.htm#what_minimum" class="nl" class="en" class="en">Server-sided minimum vereisten</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="requirements.htm#what_minimum_webserver" class="nl" class="en" class="en">Web server</a></li>\n';
doc_toc += '              <li><a href="requirements.htm#what_minimum_php" class="nl" class="en" class="en">PHP support</a></li>\n';
doc_toc += '              <li><a href="requirements.htm#what_minimum_mysql" class="nl" class="en" class="en">mySQL database</a></li>\n';
doc_toc += '              <li><a href="requirements.htm#what_minimum_image_library" class="nl" class="en" class="en">Afbeeldingen bibliotheek</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="requirements.htm#what_minimum_self-hosting" class="nl" class="en" class="en">Self-Hosting &amp; Webserver Setup</a></li>\n';
doc_toc += '          <li><a href="requirements.htm#personal" class="nl" class="en" class="en">Persoonlijke vereisten</a></li>\n';
doc_toc += '          <li><a href="requirements.htm#requirements_faq" class="nl" class="en" class="en">Vereisten FAQ</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="testing.htm" class="en" class="en" class="en">Testen / bugrapporten</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="testing.htm#testing_support" class="en" class="en" class="en">Geen support voor alpha en beta versies</a></li>\n';
doc_toc += '          <li><a href="testing.htm#testing_areas" class="en" class="en" class="en">Gebieden die vooral aandacht vragen</a></li>\n';
doc_toc += '          <li><a href="testing.htm#testing_feature_list" class="en" class="en" class="en">Functielijst</a></li>\n';
doc_toc += '          <li><a href="testing.htm#testing_report" class="en" class="en" class="en">Het rapport formaat</a></li>\n';
doc_toc += '          <li><a href="testing.htm#testing_availability" class="en" class="en" class="en">Beschikbaarheid</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="languages.htm" class="en" class="en" class="en">Talen</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="languages.htm#how" class="en" class="en" class="en">Hoe talen werken in Coppermine</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="languages.htm#how_remove_language" class="en" class="en">Get rid of a particular language</a></li>\n';
doc_toc += '              <li><a href="languages.htm#how_language_fallback" class="en" class="en">Language fallback</a></li>\n';
doc_toc += '              <li><a href="languages.htm#how_scope" class="en" class="en">Scope of internationalization</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="languages.htm#language_manager" class="en" class="en">The language manager</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="languages.htm#language_manager_controls" class="en" class="en">Controls</a></li>\n';
doc_toc += '              <li><a href="languages.htm#language_manager_columns" class="en" class="en">Columns</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="languages.htm#language_manager_columns_default" class="en" class="en">Default</a></li>\n';
doc_toc += '                  <li><a href="languages.htm#language_manager_columns_name" class="en" class="en">Language name</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="languages.htm#language_manager_columns_name_english" class="en" class="en">English</a>\n';
doc_toc += '                      <li><a href="languages.htm#language_manager_columns_name_native" class="en" class="en">Native</a>\n';
doc_toc += '                      <li><a href="languages.htm#language_manager_columns_name_custom" class="en" class="en">Custom</a>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="languages.htm#language_manager_columns_flag" class="en" class="en">Flag</a></li>\n';
doc_toc += '                  <li><a href="languages.htm#language_manager_columns_file" class="en" class="en">Language file</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="languages.htm#language_manager_columns_file_available" class="en" class="en">Available</a>\n';
doc_toc += '                      <li><a href="languages.htm#language_manager_columns_file_complete" class="en" class="en">Complete</a>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="languages.htm#language_manager_columns_file" class="en" class="en">Enabled</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="translation.htm" class="en" class="en" class="en">Vertaalgids</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="translation.htm#translation_translators_wanted" class="en" class="en" class="en">Vertalers gevraagd!</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_why_translate" class="en" class="en" class="en">Waarom vertalen?</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_which_languages" class="en" class="en" class="en">Voor welke talen zijn vertalingen nodig?</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_who" class="en" class="en" class="en">Wie kan vertalen?</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_char_encoding" class="en" class="en" class="en">Karakter codering</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_editors" class="en" class="en" class="en">Editors &amp; Tools</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_full_translation" class="en" class="en" class="en">Alleen volledige vertalingen</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_step_by_step" class="en" class="en" class="en">Stap voor stap</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_special_issues" class="en" class="en" class="en">Speciale problemen</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_versions" class="en" class="en" class="en">Taalversies</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_work_in_progress" class="en" class="en" class="en">Werk in uitvoering</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_initial_translation" class="en" class="en" class="en">Initiële vertaling voor release</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_older_language_files" class="en" class="en" class="en">Gebruik van oudere taalbestanden</a></li>\n';
doc_toc += '              <li><a href="translation.htm#translation_documentation" class="en" class="en" class="en">Vertalen van de documentatie</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="translation.htm#translation_documentation_steps" class="en" class="en" class="en">Stappen voor de vertaling van de documenten in uw taal</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_not_exist" class="en" class="en" class="en">Verzeker er u van dat de vertaling nog niet bestaat</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_structure" class="en" class="en" class="en">Maak de structuur</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_copy_core" class="en" class="en" class="en">Kopieer de core taalbestanden</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_start_translating" class="en" class="en" class="en">Start de vertaling</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_attention" class="en" class="en" class="en">Gebieden die aandacht vragen</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_toc" class="en" class="en" class="en">Pas op met de inhoudstafel</a></li>\n';
doc_toc += '                      <li><a href="translation.htm#translation_documentation_steps_zip" class="en" class="en" class="en">Zip uw vertaling</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="translation.htm#translation_links" class="en" class="en" class="en">Lees verder</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="credits.htm" class="nl" class="en" class="en">Credits</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="credits.htm#developers" class="nl" class="en" class="en">Coppermine team</a></li>\n';
doc_toc += '          <li><a href="credits.htm#contributors" class="nl" class="en" class="en">Medewerkers</a></li>\n';
doc_toc += '          <li><a href="credits.htm#translators" class="nl" class="en" class="en">Vertalers</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="credits.htm#translators_language_file" class="nl" class="en" class="en">Taalbestanden</a></li>\n';
doc_toc += '              <li><a href="credits.htm#translators_documentation" class="nl" class="en" class="en">Documentatie</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="credits.htm#codebase" class="nl" class="en" class="en">Gratis code gebruikt</a></li>\n';
doc_toc += '          <li><a href="credits.htm#acknowledgements" class="nl" class="en" class="en">Erkenningen</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="credits.htm#acknowledgements_thanks" class="en" class="en" class="en">Many Thanks</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="copyrights.htm" class="en" class="en" class="en">Licentie &amp; Copyright</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="copyrights.htm#copyright_copyright" class="en" class="en" class="en">Copyrights</a></li>\n';
doc_toc += '          <li><a href="copyrights.htm#copyright_license" class="en" class="en" class="en">Licentie</a></li>\n';
doc_toc += '          <li><a href="copyrights.htm#copyrights_previous_versions" class="en" class="en" class="en">Vorige versies</a></li>\n';
doc_toc += '          <li><a href="copyrights.htm#copyright_additional" class="en" class="en" class="en">Bijkomende voorwaarden (license add-ons)</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="copyrights.htm#copyright_additional_preservation" class="en" class="en" class="en">Behoud van toeschrijvingen aan auteurs</a></li>\n';
doc_toc += '              <li><a href="copyrights.htm#copyright_additional_marking" class="en" class="en" class="en">Markeren van aangepaste versies</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="copyrights.htm#copyright_freedom" class="en" class="en" class="en">Vrijheid</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="known_issues.htm" class="nl" class="en" class="en">Bekende problemen</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="install.htm" class="us_nl" class="en" class="en">Installatie en setup</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="install.htm#how" class="nl" class="en" class="en">Hoe het script installeren</a></li>\n';
doc_toc += '      <li><a href="install.htm#what" class="nl" class="en" class="en">Wat doet de installer</a></li>\n';
doc_toc += '      <li><a href="install_permissions.htm" class="en" class="en" class="en">Instellen van rechten</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="install_permissions.htm#permissions_webserver" class="en" class="en" class="en">Rechten op verschillende webserver types</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="install_permissions.htm#chmod" class="en" class="en" class="en">Apache op Unix/Linux (CHMOD)</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_basics" class="en" class="en" class="en">Basics</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_groups" class="en" class="en" class="en">Groepen in Lunix</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_daemon" class="en" class="en" class="en">Webserver daemon</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_binary_arithmetics" class="en" class="en" class="en">Binaire berekeningen</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_benefit" class="en" class="en" class="en">Waarvoor is dit alles goed?</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_ftp" class="en" class="en" class="en">FTP applicatie</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_website_control_panel" class="en" class="en" class="en">Website control panel</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_shell_access" class="en" class="en" class="en">Shell access</a></li>\n';
doc_toc += '                  <li><a href="install_permissions.htm#chmod_chown" class="en" class="en" class="en">Ownership (CHOWN)</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="install_permissions.htm#apache_windows" class="en" class="en" class="en">Apache op Windows</a></li>\n';
doc_toc += '              <li><a href="install_permissions.htm#iis" class="en" class="en" class="en">IIS op Windows</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="install_permissions.htm#support" class="en" class="en" class="en">Support vragen voor problemen met rechten</a></li>\n';
doc_toc += '          <li><a href="install_permissions.htm#permissions_folders" class="en" class="en" class="en">Rechten op mapniveau</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="install_screen.htm#install_screen_start" class="en" class="en" class="en">Het installatie scherm</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="install_screen.htm#install_screen_classic" class="en" class="en" class="en">Het klassieke installatiescherm</a></li>\n';
doc_toc += '          <li><a href="install_screen.htm#install_screen_wizard" class="en" class="en" class="en">De installatie wizard</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="auto-installers.htm" class="en" class="en" class="en">Auto-Installers</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="auto-installers.htm#definition" class="en" class="en" class="en">What are auto-installers?</a></li>\n';
doc_toc += '          <li><a href="auto-installers.htm#sad_story" class="en" class="en" class="en">The sad story</a></li>\n';
doc_toc += '          <li><a href="auto-installers.htm#" class="en" class="en" class="en">Why not use auto-installers</a></li>\n';
doc_toc += '          <li><a href="auto-installers.htm#no_support" class="en" class="en" class="en">No support</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="install_faq.htm" class="en" class="en" class="en">Installatie FAQ</a></li>\n';
doc_toc += '      <li><a href="uninstall.htm" class="nl" class="en" class="en">Uninstall</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="upgrading.htm" class="en" class="en" class="en">Upgraden</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="upgrading.htm#upgrade_why" class="en" class="en" class="en">Waarom upgrade?</a>\n';
doc_toc += '          <ul>\n';
doc_toc += '              <li><a href="upgrading.htm#upgrade_why_reasons" class="en" class="en" class="en">Redenen voor  pakketrelease</a></li>\n';
doc_toc += '              <li><a href="upgrading.htm#upgrade_why_changelog" class="en" class="en" class="en">Changelog</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upgrading.htm#upgrade_any" class="en" class="en" class="en">Stappen nodig om Coppermine te upgraden (van gelijk welke versie)</a></li>\n';
doc_toc += '      <li><a href="upgrading.htm#upgrade_particular" class="en" class="en" class="en">Bijkomende handelingen voor een update van bepaalde versies</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="upgrading.htm#upgrade_10" class="en" class="en" class="en">Upgrade van versies cpg1.0,1.1,1.2.x of 1.3.x</a></li>\n';
doc_toc += '          <li><a href="upgrading.htm#upgrade_14" class="en" class="en" class="en">Upgrade van cpg1.4.x naar versie cpg1.5.x</a></li>\n';
doc_toc += '          <li><a href="upgrading.htm#upgrade_15" class="en" class="en" class="en">Upgrade van oudere versies dan cpg1.5.x naar de meest recente versie van cpg1.5.x</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upgrading.htm#updater" class="en" class="en" class="en">Het update script</a>\n';
doc_toc += '          <ul>\n';
doc_toc += '              <li><a href="upgrading.htm#updater_what_it_does" class="en" class="en" class="en">Wat doet het</a></li>\n';
doc_toc += '              <li><a href="upgrading.htm#updater_purpose" class="en" class="en" class="en">Doel</a></li>\n';
doc_toc += '              <li><a href="upgrading.htm#updater_authorization" class="en" class="en" class="en">Autorisatie controle</a></li>\n';
doc_toc += '              <li><a href="upgrading.htm#updater_when" class="en" class="en" class="en">Wanneer moet de updater uitgevoerd worden?</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upgrading.htm#versioncheck" class="en" class="en" class="en">Versiecontrole</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="upgrading.htm#versioncheck_description_start" class="en" class="en" class="en">Wat doet het</a></li>\n';
doc_toc += '          <li><a href="upgrading.htm#versioncheck_options_start" class="en" class="en" class="en">Opties</a></li>\n';
doc_toc += '          <li><a href="upgrading.htm#versioncheck_comparison_start" class="en" class="en" class="en">Versie vergelijking</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upgrading.htm#upgrade_faq" class="en" class="en" class="en">Upgrade FAQ</a></li>\n';
doc_toc += '      <li><a href="upgrading.htm#downgrading" class="en" class="en" class="en">Downgrade van cpg1.5.x naar een oudere versie</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="start.htm" class="nl" class="en" class="en">Starten</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="start.htm#getting_concepts" class="nl" class="en" class="en">Basis concepten</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_initial_configuration" class="nl" class="en" class="en">Initiele configuratie</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_structure" class="nl" class="en" class="en">Categorie/album/bestandsstructuur</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_resizing" class="nl" class="en" class="en">Verkleinde afbeeldingen</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="start.htm#getting_resizing_thumbnails" class="nl" class="en" class="en">Thumbnails</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_resizing_intermediate" class="nl" class="en" class="en">Tussenformaten</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_resizing_original" class="nl" class="en" class="en">Originelen</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_resizing_recommended" class="nl" class="en" class="en">Aanbevolen verklein setups</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="start.htm#getting_resizing_recommended_nofullsize" class="nl" class="en" class="en">Geen full-size pop-ups</a></li>\n';
doc_toc += '              <li><a href="start.htm#getting_resizing_recommended_nointermediate" class="nl" class="en" class="en">Laat full-size pop-ups met maximum ruimtebesparing toe</a></li>\n';
doc_toc += '              <li><a href="start.htm#getting_resizing_recommended_regular" class="nl" class="en" class="en">&quot;Normale&quot; setup met bescheiden gebruik van bestandsruimte</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="start.htm#getting_admin_account" class="nl" class="en" class="en">Uw admin account</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_check_uploads" class="nl" class="en" class="en">Check uploads</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_consider_bridging" class="nl" class="en" class="en">Overweeg bridging</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_interaction" class="nl" class="en" class="en">Wat mogen uw gebruikers doen?</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_design" class="nl" class="en" class="en">Verander het ontwerp van uw coppermine</a></li>\n';
doc_toc += '      <li><a href="start.htm#getting_typical" class="nl" class="en" class="en">Typische setups</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="start.htm#getting_typical_monolithic" class="nl" class="en" class="en">Enige uploader zonder gebruikers tussenkomst (Monolithic gallery)</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_typical_single_uploader_community" class="nl" class="en" class="en">Enige uploader met gebruikerstussenkomst</a></li>\n';
doc_toc += '          <li><a href="start.htm#getting_typical_multiple_uploader_closed" class="nl" class="en" class="en">Meerdere uploaders zonder nieuwe registraties (gesloten groep)</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="faq.htm" class="en" class="en" class="en">Frequently Asked Questions</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="faq.htm#faq_setup" class="en" class="en" class="en">Setup / Configuratie</a></li>\n';
doc_toc += '      <li><a href="faq.htm#hacks" class="en" class="en" class="en">Add-ons / Modificaties / Hacks</a></li>\n';
doc_toc += '      <li><a href="faq.htm#support_board" class="en" class="en" class="en">Coppermine Support board</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="theme.htm" class="us_nl" class="en" class="en">Thema\'s</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="theme.htm#theme_builtin" class="nl" class="en" class="en">Thema\'s die meekomen met Coppermine</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme.htm#theme_builtin_curve">Curve</a></li>\n';
doc_toc += '          <li><a href="theme.htm#theme_builtin_eyeball">Eyeball</a></li>\n';
doc_toc += '          <li><a href="theme.htm#theme_builtin_hardwired">Hardwired</a></li>\n';
doc_toc += '          <li><a href="theme.htm#theme_builtin_rainy_day">Rainy Day</a></li>\n';
doc_toc += '          <li><a href="theme.htm#theme_builtin_sample">Sample</a></li>\n';
doc_toc += '          <li><a href="theme.htm#theme_builtin_waterdrop">Waterdrop</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme.htm#theme_upgrading" class="nl" class="en" class="en">Upgrade van uw aangepast thema</a>\n';
doc_toc += '      <ul>\n';
doc_toc += '        <li><a href="theme_upgrade_14x-15x.htm" class="en" class="en" class="en">Converteren van cpg1.4.x thema\'s naar cpg1.5.x</a>\n';
doc_toc += '          <ul>\n';
doc_toc += '            <li><a href="theme_upgrade_14x-15x.htm#theme_convert_style" class="en" class="en" class="en">Edit style.css</a></li>\n';
doc_toc += '            <li><a href="theme_upgrade_14x-15x.htm#theme_convert_template" class="en" class="en" class="en">Edit template.html</a></li>\n';
doc_toc += '            <li><a href="theme_upgrade_14x-15x.htm#theme_convert_theme" class="en" class="en" class="en">Edit theme.php</a></li>\n';
doc_toc += '            <li><a href="theme_upgrade_14x-15x.htm#theme_convert_validation" class="en" class="en" class="en">Validatie Methodologie</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '        </li>\n';
doc_toc += '      </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme.htm#theme_files" class="nl" class="en" class="en">Thema-inhoud</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme_template.htm#theme_template_html" class="en" class="en" class="en">Editeren van template.html</a>\n';
doc_toc += '              <ul>\n';
doc_toc += '                  <li><a href="theme_template.htm#theme_template_token" class="en" class="en" class="en">Template tokens</a></li>\n';
doc_toc += '                  <li><a href="theme_template.htm#theme_template_important" class="en" class="en" class="en">Belangrijk</a></li>\n';
doc_toc += '                  <li><a href="theme_template.htm#theme_template_token_list" class="en" class="en" class="en">Lijst van tokens in template.html</a></li>\n';
doc_toc += '              </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="theme_style_css.htm#theme_style_css" class="en" class="en" class="en">Editeren van style.css</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_tools" class="en" class="en" class="en">Instrumenten</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="theme_style_css.htm#theme_style_css_tools_webdev" class="en" class="en" class="en">Gebruik van Web Developer toolbar</a></li>\n';
doc_toc += '                  <li><a href="theme_style_css.htm#theme_style_css_tools_editor" class="en" class="en" class="en">Editor</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_list" class="en" class="en" class="en">Lijst van classes in style.css</a></li>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_overall" class="en" class="en" class="en">Aanvullende  stylesheet</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="theme_theme_php.htm#theme_create_theme_php" class="en" class="en" class="en">Editing theme.php</a>\n';
doc_toc += '              <ul>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_types" class="en" class="en" class="en">Item types</a></li>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm" class="en" class="en" class="en">Het voorbeeldthema - een template om van te kopiëren</a></li>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_method" class="en" class="en" class="en">Methode</a></li>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_scope" class="en" class="en" class="en">Scope</a></li>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_list" class="en" class="en" class="en">Lijst van items in theme.php</a></li>\n';
doc_toc += '                  <li><a href="theme_examples.htm#theme_examples" class="en" class="en" class="en">Thema voorbeelden</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="theme_examples.htm#theme_examples_content" class="en" class="en" class="en">Aanvullende  inhoud</a>\n';
doc_toc += '                        <ul>\n';
doc_toc += '                          <li><a href="theme_examples.htm#theme_examples_content_thumbnail" class="en" class="en" class="en">Aanvullende inhoud op de thumbnail pagina</a>\n';
doc_toc += '                            <ul>\n';
doc_toc += '                              <li><a href="theme_examples.htm#theme_examples_content_thumbnail_extra_row" class="en" class="en" class="en">Extra rij tussen thumbnailrijen</a></li>\n';
doc_toc += '                              <li><a href="theme_examples.htm#theme_examples_content_thumbnail_cell" class="en" class="en" class="en">Extra tabelcel op iedere thumbnailpagina</a></li>\n';
doc_toc += '                            </ul>\n';
doc_toc += '                          </li>\n';
doc_toc += '                          <li><a href="theme_examples.htm#theme_examples_content_displayimage" class="en" class="en" class="en">Aanvullende inhoud op de intermediate-image pagian\'s</a>\n';
doc_toc += '                            <ul>\n';
doc_toc += '                              <li><a href="theme_examples.htm#theme_examples_content_displayimage_image" class="en" class="en" class="en">Dadelijk volgend op de intermediate image</a></li>\n';
doc_toc += '                              <li><a href="theme_examples.htm#theme_examples_content_displayimage_filmstrip" class="en" class="en" class="en">Dadelijk volgend op de filmstrip</a></li>\n';
doc_toc += '                            </ul>\n';
doc_toc += '                          </li>\n';
doc_toc += '                          <li><a href="theme_examples.htm#theme_examples_content_fullsize" class="en" class="en" class="en">Aanvullende inhoud op de full-size pop-up</a></li>\n';
doc_toc += '                        </ul>\n';
doc_toc += '                      </li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="theme_theme_php.htm#theme_php_summary" class="en" class="en" class="en">Samenvatting</a></li>\n';
doc_toc += '              </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme.htm#theme_engine" class="nl" class="en" class="en">Hoe het themasysteem werkt</a></li>\n';
doc_toc += '      <li><a href="theme_user-contributions.htm#theme_user-contributions" class="en" class="en" class="en">Gebruiker-ontworpen thema\'s</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_preview" class="en" class="en" class="en">Bekijk gebruiker-ontworpen thema\'s</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_download" class="en" class="en" class="en">Download gebruiker-ontworpen thema\'s</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_install" class="en" class="en" class="en">Installeer gebruiker-ontworpen thema\'s</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_copyrights" class="en" class="en" class="en">Copyrights van gebruiker-ontworpen thema\'s</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_support" class="en" class="en" class="en">Vraag naar support voor  gebruiker-ontworpen thema\'s</a></li>\n';
doc_toc += '          <li><a href="theme_user-contributions.htm#theme_user-contributions_contributing" class="en" class="en" class="en">Ontwerp uw eigen thema</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme_create.htm#theme_create" class="nl" class="en" class="en">Creating your custom theme</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme_create.htm#theme_create_rename" class="nl" class="en" class="en">Rename your theme first</a></li>\n';
doc_toc += '          <li><a href="theme_create.htm#theme_create_tipps" class="nl" class="en" class="en">Tips &amp; tricks</a></li>\n';
doc_toc += '          <li><a href="theme_create.htm#theme_create_wysiwyg" class="nl" class="en" class="en">Gebruik van WYSIWYG-editors</a></li>\n';
doc_toc += '          <li><a href="theme_create.htm#theme_create_colors" class="nl" class="en" class="en">Aanpassen van kleuren</a></li>\n';
doc_toc += '          <li><a href="theme_create_matching_page_tutorial.htm#theme_matching" class="en" class="en" class="en">Ontwerpen van een  Coppermine thema dat past bij de layout van uw website</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_intro" class="en" class="en" class="en">Introduction</a></li>\n';
doc_toc += '              <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_pre-requisites" class="en" class="en" class="en">Pre-requisites</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_pre-requisites_tools" class="en" class="en" class="en">Tools</a></li>\n';
doc_toc += '                  <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_pre-requisites_skills" class="en" class="en" class="en">Skills</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_examples" class="en" class="en" class="en">Example</a></li>\n';
doc_toc += '              <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_pick_similar" class="en" class="en" class="en">Pick a similar theme first</a></li>\n';
doc_toc += '              <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_start" class="en" class="en" class="en">Start editing your theme</a></li>\n';
doc_toc += '              <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_placeholder_replace" class="en" class="en" class="en">Replace the content from the sample with placeholder tokens</a></li>\n';
doc_toc += '              <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_style" class="en" class="en" class="en">Adapting the style</a></li>\n';
doc_toc += '              <li><a href="theme_create_matching_page_tutorial.htm#theme_matching_test1" class="en" class="en" class="en">Initial test</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="theme_template.htm#theme_template_html" class="en" class="en" class="en">Editeren van template.html</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_template.htm#theme_template_token" class="en" class="en" class="en">Template tokens</a></li>\n';
doc_toc += '              <li><a href="theme_template.htm#theme_template_important" class="en" class="en" class="en">Belangrijk</a></li>\n';
doc_toc += '              <li><a href="theme_template.htm#theme_template_token_list" class="en" class="en" class="en">Lijst van tokens in template.html</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="theme_theme_php.htm#theme_php" class="en" class="en" class="en">Editing theme.php</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_theme_php.htm#theme_php_types" class="en" class="en" class="en">Item types</a></li>\n';
doc_toc += '              <li><a href="theme_theme_php.htm#theme_sample" class="en" class="en" class="en">Het voorbeeld thema - een template om van te kopiëren</a></li>\n';
doc_toc += '              <li><a href="theme_theme_php.htm#theme_php_method" class="en" class="en" class="en">Methode</a></li>\n';
doc_toc += '              <li><a href="theme_theme_php.htm#theme_php_scope" class="en" class="en" class="en">Scope</a></li>\n';
doc_toc += '              <li><a href="theme_theme_php.htm#theme_php_list" class="en" class="en" class="en">Lijst van items in theme.php</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="theme_style_css.htm#theme_style_css" class="en" class="en" class="en">Editeren van style.css</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_tools" class="en" class="en" class="en">Tools</a></li>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_list" class="en" class="en" class="en">Lijst van classes in style.css</a></li>\n';
doc_toc += '              <li><a href="theme_style_css.htm#theme_style_css_overall" class="en" class="en" class="en">Aanvullende stylesheet</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme_examples.htm#theme_examples" class="en" class="en" class="en">Theme examples</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme_examples.htm#theme_examples_summary" class="en" class="en" class="en">Summary</a></li>\n';
doc_toc += '          <li><a href="theme_examples.htm#theme_examples_content" class="en" class="en" class="en">Additional content</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="theme_examples.htm#theme_examples_content_thumbnail" class="en" class="en" class="en">Additional content on the thumbnail page</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="theme_examples.htm#theme_examples_content_thumbnail_extra_row" class="en" class="en" class="en">Extra row between thumbnail rows</a></li>\n';
doc_toc += '                  <li><a href="theme_examples.htm#theme_examples_content_thumbnail_cell" class="en" class="en" class="en">Extra table cell on each thumbnail page</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="theme_examples.htm#theme_examples_content_displayimage" class="en" class="en" class="en">Additional content on the intermediate-image pages (displayimage.php)</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="theme_examples.htm#theme_examples_content_displayimage_image" class="en" class="en" class="en">Directly next to the intermediate image</a></li>\n';
doc_toc += '                  <li><a href="theme_examples.htm#theme_examples_content_displayimage_filmstrip" class="en" class="en" class="en">Directly next to the film strip</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="theme_examples.htm#theme_examples_content_fullsize" class="en" class="en" class="en">Additional content on the full-size pop-up</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme_copyright.htm" class="en" class="en" class="en">Copyright-disclaimer in voettekst</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="theme_copyright.htm#theme_copyright_fair_use" class="en" class="en" class="en">Fair use</a>\n';
doc_toc += '          <li><a href="theme_copyright.htm#theme_copyright_unfair_use" class="en" class="en" class="en">Unfair use</a>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="php-content.htm" class="en" class="en" class="en">Dynamic (PHP-driven) inhoud</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="php-content.htm#php-content_anycontent" class="en" class="en" class="en">Gebruik van anycontent.php</a></li>\n';
doc_toc += '          <li><a href="php-content.htm#php-content_header_footer" class="en" class="en" class="en">Aanpassen van kop- en voettekst</a></li>\n';
doc_toc += '          <li><a href="php-content.htm#php-content_theme" class="en" class="en" class="en">Thema-gebaseerde dynamische inhoud (theme.php)</a></li>\n';
doc_toc += '          <li><a href="php-content.htm#php-content_core" class="en" class="en" class="en">Aanpassen van core-bestanden</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="theme_graphics.htm" class="en" class="en" class="en">Graphic resources in thema\'s</a>\n';
doc_toc += '          <ul>\n';
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_menu_icons" class="en" class="en" class="en">Menu Icoontjes</a></li>\n';
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_nav_bar" class="en" class="en" class="en">Beeld Navigatiebalk</a></li>\n';
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_rating" class="en" class="en" class="en">Beoordelen van afbeeldingen</a></li>\n';
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_film_strip" class="en" class="en" class="en">Film Strip graphics</a></li>\n';
doc_toc += '              <li><a href="theme_graphics.htm#theme_graphics_progress" class="en" class="en" class="en">Vordering van beeld (lader)</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="administration.htm" class="us_nl" class="en" class="en">Beheer</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="admin_menu.htm" class="nl" class="en" class="en">Admin menu-items</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="admin_menu.htm#admin_user_mode" class="nl" class="en" class="en">In-/ uitschakelen van beheerdersfunctie</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#upload_approval" class="nl" class="en" class="en">Upload goedkeuring</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#config" class="nl" class="en" class="en">Configuratie</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#categories" class="nl" class="en" class="en">Categorieën</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#albums" class="nl" class="en" class="en">Albums</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#sort_my_pictures" class="nl" class="en" class="en">Sorteer mijn foto\'s</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#groups" class="nl" class="en" class="en">Groepen</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#users" class="nl" class="en" class="en">Gebruikers</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#ban" class="nl" class="en" class="en">Ban Gebruikers</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#my_profile" class="nl" class="en" class="en">Mijn profiel</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#review_comments" class="nl" class="en" class="en">Bespreek Commentaren</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#ecard_log" class="nl" class="en" class="en">Toon E-kaarten</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#batch_add" class="nl" class="en" class="en">Bestanden toevoegen in Batch</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#admin_tools" class="nl" class="en" class="en">Admin Instrumenten (Herschalen Foto\'s)</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#keyword_manager" class="nl" class="en" class="en">Trefwoord manager</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#plugin_manager" class="nl" class="en" class="en">Plugin Manager</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#bridge_manager" class="nl" class="en" class="en">Bridge Manager</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#view_log" class="nl" class="en" class="en">Bekijk logbestanden</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#stats" class="nl" class="en" class="en">Algemene statistiek</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#versioncheck" class="nl" class="en" class="en">Controleer versies</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#update_database" class="nl" class="en" class="en">Update database</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#export" class="nl" class="en" class="en">Export</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#phpinfo" class="nl" class="en" class="en">PHP-info</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#show_news" class="nl" class="en" class="en">Toon nieuws</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#documentation" class="nl" class="en" class="en">Documentatie</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#admin_mode_regular_users" class="nl" class="en" class="en">Admin modus voor gewone gebruikers</a></li>\n';
doc_toc += '          <li><a href="admin_menu.htm#user_menu_items" class="nl" class="en" class="en">Admin menu-items voor gewone gebruikers</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="banning.htm#banning" class="en" class="en" class="en">Banning</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="banning.htm#banning_whats_new" class="en" class="en" class="en">Wat is nieuw?</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_scope" class="en" class="en" class="en">Scope</a></li>\n';
doc_toc += '          <li><a href="banning.htm#bannig_how_it_works" class="en" class="en" class="en">Hoe werkt verbanning</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_by_ip_address_no_good" class="en" class="en" class="en">Waarom is verbannen via IP-adres niet aanbevolen</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_page" class="en" class="en" class="en">Pagina controles</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_bridged" class="en" class="en" class="en">Geen verbanning indien gebridged</a></li>\n';
doc_toc += '          <li><a href="banning.htm#banning_todo" class="en" class="en" class="en">Te doen</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="configuration.htm" class="en" class="en" class="en">Configuratie</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="configuration.htm#admin_general" class="en" class="en" class="en">Algemene instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_language" class="en" class="en" class="en">Taal &amp; Karakterset instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_theme" class="en" class="en" class="en">Thema instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_album_list" class="en" class="en" class="en">Albumlijst overzicht</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_thumbnail_view" class="en" class="en" class="en">Thumbnail overzicht</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_image_comment" class="en" class="en" class="en">Foto overzicht</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_comment_start" class="en" class="en" class="en">Commentaar instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_contact_start" class="en" class="en" class="en">Contactformulier instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_thumb_start" class="en" class="en" class="en">Thumbnail instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_picture_thumbnail" class="en" class="en" class="en">Bestands instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_watermarking" class="en" class="en" class="en">Foto watermerken</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_registration" class="en" class="en" class="en">Registratie</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_user" class="en" class="en" class="en">Gebruikers instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_custom" class="en" class="en" class="en">Aangepaste velden voor gebruikersprofiel</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_custom_image" class="en" class="en" class="en">Aangepaste velden voor beeldomschrijvingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_cookie" class="en" class="en" class="en">Cookie instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_email" class="en" class="en" class="en">E-mail instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_logging" class="en" class="en" class="en">Logging &amp; statistieken</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_misc" class="en" class="en" class="en">Onderhouds instellingen</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_config_usage" class="en" class="en" class="en">Usage of this page</a></li>\n';
doc_toc += '          <li><a href="configuration.htm#admin_reset_entire_config" class="en" class="en" class="en">Herstel standaardinstellingen </a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="groups.htm" class="en" class="en" class="en">Groepen</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="groups.htm#group_cp" class="en" class="en" class="en">Het groepscontrolepaneel</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_names" class="en" class="en" class="en">Groepsnamen</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_types" class="en" class="en" class="en">Groepstypes</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_quota" class="en" class="en" class="en">Quota</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_permissions" class="en" class="en" class="en">Groepsrechten (Beoordeling/E-kaarten/Commentaren)</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_public" class="en" class="en" class="en">Publieke albums upload</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_personal" class="en" class="en" class="en">Persoonlijke galerij</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_upload_method" class="en" class="en" class="en">Upload methode</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_assigned" class="en" class="en" class="en">Toegewezen albums</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_create" class="en" class="en" class="en">Aanmaken van aangepaste groepen</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_delete" class="en" class="en" class="en">Wissen van aangepaste groepen</a></li>\n';
doc_toc += '          <li><a href="groups.htm#group_cp_sync" class="en" class="en" class="en">Triggering synchronisatie (bridged only)</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="users.htm" class="en" class="en" class="en">Gebruikers</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="users.htm#user_cp" class="en" class="en" class="en">Het gebruikers controlepaneel</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="users.htm#user_cp_page" class="en" class="en" class="en">Pagina controles</a></li>\n';
doc_toc += '              <li><a href="users.htm#user_cp_search" class="en" class="en" class="en">Zoeken naar gebruiker(s)</a></li>\n';
doc_toc += '              <li><a href="users.htm#user_cp_new" class="en" class="en" class="en">Aanmaken nieuwe gebruiker(s)</a></li>\n';
doc_toc += '              <li><a href="users.htm#user_cp_edit" class="en" class="en" class="en">Aanpassen gebruiker</a></li>\n';
doc_toc += '              <li><a href="users.htm#user_cp_group" class="en" class="en" class="en">Groepslidmaatschap</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="users.htm#lost_password" class="en" class="en" class="en">Verloren paswoorden</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="users.htm#lost_password_cpg_user_account" class="en" class="en" class="en">Coppermine gebruikersaccount paswoord</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="users.htm#lost_password_cpg_user_account_standalone" class="en" class="en" class="en">Coppermine in standalone modus</a></li>\n';
doc_toc += '                  <li><a href="users.htm#lost_password_cpg_user_account_bridged" class="en" class="en" class="en">Coppermine bridged</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="users.htm#lost_password_cpg_user_account" class="en" class="en" class="en">mySQL account paswoord</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="categories.htm" class="en" class="en" class="en">Categorieën</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="categories.htm#cat_cp" class="en" class="en" class="en">Het categorie controlepaneel</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="categories.htm#cat_cp_page_controls" class="en" class="en" class="en">Pagina controles</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="categories.htm#cat_cp_page_controls_sort" class="en" class="en" class="en">Topbox &quot;Sorteer  categorieën alfabetisch&quot;</a></li>\n';
doc_toc += '                  <li><a href="categories.htm#cat_cp_page_controls_categories" class="en" class="en" class="en">Middelbox &quot;Beheer Categorieën&quot;</a></li>\n';
doc_toc += '                  <li><a href="categories.htm#cat_cp_page_controls_create" class="en" class="en" class="en">Bodembox &quot;Update/Creëer categorie&quot;</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="categories.htm#cat_user_galleries" class="en" class="en" class="en">Speciale categorie &quot;Gebruikersgalerijen&quot;</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="albums.htm" class="en" class="en" class="en">Albums</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="albums.htm#albmgr" class="en" class="en" class="en">De Album Manager</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="albums.htm#albmgr_create" class="en" class="en" class="en">Albums aanmaken</a></li>\n';
doc_toc += '              <li><a href="albums.htm#albmgr_rename" class="en" class="en" class="en">Albums hernoemen</a></li>\n';
doc_toc += '              <li><a href="albums.htm#albmgr_order" class="en" class="en" class="en">Albums volgorde veranderen</a></li>\n';
doc_toc += '              <li><a href="albums.htm#albmgr_delete" class="en" class="en" class="en">Albums wissen</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="albums.htm#modif_alb_pics" class="en" class="en" class="en">Aanpassen van albums/bestanden</a></li>\n';
doc_toc += '          <li><a href="albums.htm#album_prop" class="en" class="en" class="en">Albumeigenschappen</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="albums.htm#album_prop_reset_start" class="en" class="en" class="en">Herstel albumeigenschappen</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="albums.htm#album_admin_user" class="en" class="en" class="en">Admin vs. gebruiker</a></li>\n';
doc_toc += '          <li><a href="albums.htm#album_faq" class="en" class="en" class="en">Album FAQ</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="files.htm" class="en" class="en" class="en">Bestanden</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="files.htm#edit_pics" class="en" class="en" class="en">Editeren van bestanden</a></li>\n';
doc_toc += '          <li><a href="files.htm#edit_vids" class="en" class="en" class="en">Editeren van videos</a></li>\n';
doc_toc += '          <li><a href="files.htm#cust_thmb" class="en" class="en" class="en">Aanpassen Thumbnails</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_order" class="en" class="en" class="en">Volgorde van thumbnails</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_types" class="en" class="en" class="en">Types van thumbnails</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_upload" class="en" class="en" class="en">Uploading aangepaste thumbs</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_how" class="en" class="en" class="en">Hoe het werkt</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_how_naming" class="en" class="en" class="en">Schema Naamgeving</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_why" class="en" class="en" class="en">Waarom kan Coppermine geen thumbnails aanmaken voor mijn video\'s?</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_step" class="en" class="en" class="en">Stap-voor-stap instructies</a></li>\n';
doc_toc += '              <li><a href="files.htm#cust_thmb_faq" class="en" class="en" class="en">Aanpassen van thumbnails FAQ</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="keywords.htm" class="en" class="en" class="en">Trefwoorden</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="keywords.htm#keywords_assign" class="en" class="en" class="en">Trefwoorden toewijzen</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="keywords.htm#keywords_assign_separator" class="en" class="en" class="en">Trefwoord scheidingsteken</a></li>\n';
doc_toc += '              <li><a href="keywords.htm#keywords_assign_edit" class="en" class="en" class="en">Editeren/toevoegen trefwoorden</a></li>\n';
doc_toc += '              <li><a href="keywords.htm#keywords_manager" class="en" class="en" class="en">Trefwoord manager</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="keywords.htm#keywords_album" class="en" class="en" class="en">Album trefwoorden</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="bbcode.htm" class="en" class="en" class="en">bbCode</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bbcode.htm#bbcode_purpose" class="en" class="en" class="en">Doel</a></li>\n';
doc_toc += '          <li><a href="bbcode.htm#bbcode_available" class="en" class="en" class="en">Beschikbare bbcode tags</a></li>\n';
doc_toc += '          <li><a href="bbcode.htm#bbcode_dangers" class="en" class="en" class="en">Gevaren</a></li>\n';
doc_toc += '          <li><a href="bbcode.htm#bbcode_control" class="en" class="en" class="en">Meer controle</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="exif.htm" class="en" class="en" class="en">Exif data</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="exif.htm#exif_what" class="en" class="en" class="en">Wat is EXIF</a></li>\n';
doc_toc += '          <li><a href="exif.htm#exif_makers" class="en" class="en" class="en">Verschillende smaken</a></li>\n';
doc_toc += '          <li><a href="exif.htm#exif_how_it_works" class="en" class="en" class="en">Hoe het werkt</a></li>\n';
doc_toc += '          <li><a href="exif.htm#exif_image_libraries" class="en" class="en" class="en">Geen exif support op de server</a></li>\n';
doc_toc += '          <li><a href="exif.htm#exif_limitations" class="en" class="en" class="en">Beperkingen</a></li>\n';
doc_toc += '          <li><a href="exif.htm#exif_manager" class="en" class="en" class="en">EXIF manager</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="plugins.htm" class="en" class="en" class="en">Plugins</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_definition" class="en" class="en" class="en">Wat is een plugin?</a></li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_api" class="en" class="en" class="en">De Plugin API</a></li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_obtain" class="en" class="en" class="en">Waar vinden we Plugins?</a></li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_bundled" class="en" class="en" class="en">Plugins in pakket van Coppermine</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_link_target" class="en" class="en" class="en">Link Target (link_target)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_onlinestats" class="en" class="en" class="en">Wie is online? (onlinestats)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_opensearch" class="en" class="en" class="en">OpenSearch (opensearch)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_sample" class="en" class="en" class="en">Sample Plugin (sample)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_usergal_alphatabs" class="en" class="en" class="en">Gebruikers alfabetische  Galerijtabs (usergal_alphatabs)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_visiblehookpoints" class="en" class="en" class="en">Visible HookPoints (visiblehookpoints)</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_bundled_sef_url" class="en" class="en" class="en">SEF_URLS plugin</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_manager" class="en" class="en" class="en">De Plugin Manager</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_manager_upload" class="en" class="en" class="en">Plugin Uploaden</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_manager_install" class="en" class="en" class="en">Plugin Installeren</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_manager_configuration" class="en" class="en" class="en">Plugin Configuratie</a></li>\n';
doc_toc += '              <li><a href="plugins.htm#plugin_manager_uninstall" class="en" class="en" class="en">Plugin de-installeren</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="plugins.htm#plugin_writing" class="en" class="en" class="en">Plugins schrijven</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="performance.htm#perf_tips" class="en" class="en" class="en">Performance</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="performance.htm#perf_config" class="en" class="en" class="en">Configuratie instellingen</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="performance.htm#perf_config_general" class="en" class="en" class="en">Algemeen</a></li>\n';
doc_toc += '              <li><a href="performance.htm#perf_config_spikes" class="en" class="en" class="en">Spiking</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="performance.htm#perf_server" class="en" class="en" class="en">Server instellingen</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="performance.htm#perf_config_spikes" class="en" class="en" class="en">PHP instellingen</a></li>\n';
doc_toc += '              <li><a href="performance.htm#perf_server_mysql" class="en" class="en" class="en">MySQL instellingen</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="performance.htm#perf_tools" class="en" class="en" class="en">Third party tools</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="performance.htm#perf_yslow" class="en" class="en" class="en">YSlow</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="admin-tools.htm#admin_tools" class="nl" class="en" class="en">Beheerdersinstrumenten</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="admin-tools.htm#admin_tools_options" class="nl" class="en" class="en">Beschikbare opties</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_rebuild" class="nl" class="en" class="en">Update thumbs en/of verkleinde foto\'s</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_filename_filetitle" class="nl" class="en" class="en">Bestandsnaam&rarr; Bestandstitel</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_titles" class="nl" class="en" class="en">Wis bestandstitels</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_original" class="nl" class="en" class="en">Wis foto\'s met originele grootte</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_intermediate" class="nl" class="en" class="en">Wis middelgrote foto\'s </a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_older_files" class="nl" class="en" class="en">Wis bestanden die ouder zijn dan een ingesteld aantal dagen</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_comments" class="nl" class="en" class="en">Wis commentaren van ontbrekende bestanden</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_delete_original_backup" class="nl" class="en" class="en">Wis originele imageback-up (watermerk modus)</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_reload_dimensions" class="nl" class="en" class="en">Herlaad bestandsafmetingen en afbeeldingsgrootte</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_reset_views" class="nl" class="en" class="en">Reset de \'Bekeken\' tellers</a></li>\n';
doc_toc += '              <li><a href="admin-tools.htm#admin_tools_options_keyword_convert" class="nl" class="en" class="en">Converteer trefwoord scheidingsteken</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="admin-tools.htm#admin_tools_usage" class="en" class="en" class="en">Usage</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="errors.htm#errors" class="en" class="en" class="en">Errors</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="errors.htm#errors_types" class="en" class="en" class="en">Error types</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="errors.htm#errors_soft" class="en" class="en" class="en">Soft Errors</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_hard" class="en" class="en" class="en">Hard Errors</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_unhandled" class="en" class="en" class="en">Unhandled Errors</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="errors.htm#errors_fatal" class="en" class="en" class="en">Fatal error</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="errors.htm#errors_debug_mode_config" class="en" class="en" class="en">Enabling debug_mode in Config</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_debug_mode_manual" class="en" class="en" class="en">Manually enabling debug_mode</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_debug_mode_off" class="en" class="en" class="en">Turning debug_mode off</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="errors.htm#errors_messages" class="en" class="en" class="en">Common error messages</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="errors.htm#errors_messages_database" class="en" class="en" class="en">Database-related error messages</a></li>\n';
doc_toc += '              <li><a href="errors.htm#commonPHPerrors" class="en" class="en" class="en">Common PHP errors</a></li>\n';
doc_toc += '              <li><a href="errors.htm#errors_messages_upload" class="en" class="en" class="en">Upload-related error messages</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="export.htm#backup_move" class="en" class="en" class="en">Backup &amp; Moving</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="export.htm#backup" class="en" class="en" class="en">Backing up your gallery</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="export.htm#backup_file" class="en" class="en" class="en">File Backup</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="export.htm#backup_file_complete" class="en" class="en" class="en">Complete File Backup</a></li>\n';
doc_toc += '                  <li><a href="export.htm#backup_file_partial" class="en" class="en" class="en">Partial File Backup</a></li>\n';
doc_toc += '                  <li><a href="export.htm#backup_file_incremental" class="en" class="en" class="en">Incremental File Backup</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="export.htm#backup_database" class="en" class="en" class="en">Database Backup</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="export.htm#backup_database_what" class="en" class="en" class="en">What needs to be backed up?</a></li>\n';
doc_toc += '                  <li><a href="export.htm#backup_database_tools" class="en" class="en" class="en">Database Backup Tools</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="export.htm#backup_database_tools_phpmyadmin" class="en" class="en" class="en">phpMyAdmin</a></li>\n';
doc_toc += '                      <li><a href="export.htm#backup_database_tools_mysqldumper" class="en" class="en" class="en">mySqlDumper</a></li>\n';
doc_toc += '                      <li><a href="export.htm#backup_database_tools_shell_mysqldump" class="en" class="en" class="en">mysqldump</a></li>\n';
doc_toc += '                      <li><a href="export.htm#backup_database_tools_shell_mysqlhotcopy" class="en" class="en" class="en">mysqlhotcopy</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="export.htm#backup_database_after" class="en" class="en" class="en">After the database backup</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="export.htm#moving" class="en" class="en" class="en">Moving your gallery</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="export.htm#moving_folder" class="en" class="en" class="en">Moving on your webserver</a></li>\n';
doc_toc += '              <li><a href="export.htm#moving_server" class="en" class="en" class="en">Moving from one webserver to the other</a></li>\n';
doc_toc += '              <li><a href="export.htm#moving_disadvantages" class="en" class="en" class="en">Disadvantages of renaming</a></li>\n';
doc_toc += '              <li><a href="export.htm#moving_config_url" class="en" class="en" class="en">Changing Coppermine\'s URL in config</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="watermarking.htm#watermark" class="en" class="en" class="en">Watermarking</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="watermarking.htm#watermark_alternatives" class="en" class="en" class="en">Alternatives</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="watermarking.htm#watermark_alternatives_no_right_click" class="en" class="en" class="en">Turning the context menu off</a></li>\n';
doc_toc += '              <li><a href="watermarking.htm#watermark_alternatives_registered_only" class="en" class="en" class="en">Only display your precious content to legitimate viewers</a></li>\n';
doc_toc += '              <li><a href="watermarking.htm#watermark_alternatives_overlay" class="en" class="en" class="en">Display on overlay</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="watermarking.htm#watermark_client_sided" class="en" class="en" class="en">Client-sided watermarking</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="uploading.htm" class="en" class="en" class="en">Uploading</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="uploading_batch-add.htm#batch_add_pics" class="en" class="en" class="en">Uploading pics by FTP / Batch-Add Pictures</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="uploading_batch-add.htm#batch_add_pics_what" class="en" class="en" class="en">What batch-add does</a></li>\n';
doc_toc += '          <li><a href="uploading_batch-add.htm#batch_add_pics_how" class="en" class="en" class="en">How batch-add works</a></li>\n';
doc_toc += '          <li><a href="uploading_batch-add.htm#batch_add_common_mistakes" class="en" class="en" class="en">Common mistakes</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_common_mistakes_doesnt_work" class="en" class="en" class="en">Batch-add does not work as expected</a></li>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_common_mistakes_broken_files" class="en" class="en" class="en">Files appear to be broken</a></li>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_common_mistakes_rename" class="en" class="en" class="en">Do not rename</a></li>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_common_mistakes_delete" class="en" class="en" class="en">Do not delete</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="uploading_batch-add.htm#batch_add_sort" class="en" class="en" class="en">Sorting</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_sort_capitalization" class="en" class="en" class="en">Capitalization matters</a></li>\n';
doc_toc += '              <li><a href="uploading_batch-add.htm#batch_add_sort_numbers" class="en" class="en" class="en">Computers see numbers differently</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="uploading_http.htm#upload_http" class="en" class="en" class="en">Uploading by HTTP</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="uploading_http.htm#upload_http_interface" class="en" class="en" class="en">Upload interfaces</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="uploading_http.htm#upload_http_interface_flash" class="en" class="en" class="en">Flash-driven multiple-files upload interface</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="uploading_http.htm#upload_http_interface_flash_usage" class="en" class="en" class="en">Usage</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="uploading_http.htm#upload_http_interface_html" class="en" class="en" class="en">HTML-driven single-file upload interface</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="uploading_http.htm#upload_http_interface_html_usage" class="en" class="en" class="en">Usage</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="uploading_xp-publisher.htm#xp" class="en" class="en" class="en">Windows XP Web Publishing Wizard</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_requirements" class="en" class="en" class="en">Requirements</a></li>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_setup" class="en" class="en" class="en">Setup</a></li>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_upload" class="en" class="en" class="en">Uploading pictures</a></li>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_upload" class="en" class="en" class="en">File structure</a></li>\n';
doc_toc += '          <li><a href="uploading_xp-publisher.htm#xp_publish_remove" class="en" class="en" class="en">Removal/Uninstall</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="upload_troubleshooting.htm#upload_trouble" class="en" class="en" class="en">Upload troubleshooting</a>\n';
doc_toc += '         <ul>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_trouble_permission" class="en" class="en" class="en">Permissions</a></li>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_trouble_enable_settings" class="en" class="en" class="en">Enable troubleshooting settings</a></li>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_support" class="en" class="en" class="en">Asking for support on upload issues</a>\n';
doc_toc += '             <ul>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_support_step-by-step" class="en" class="en" class="en">Step-by-step guide when asking for support</a>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_support_example" class="en" class="en" class="en">Example support request</a>\n';
doc_toc += '             </ul>\n';
doc_toc += '           </li>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_error_messages" class="en" class="en" class="en">Error messages</a>\n';
doc_toc += '             <ul>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorCantMovePic" class="en" class="en" class="en"></a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorImpossibleToMove" class="en" class="en" class="en">Impossible to move x to y</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorFailedToOpenDir" class="en" class="en" class="en">failed to open dir: No such file or directory</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#httpPostVars" class="en" class="en" class="en">Undefined variable: HTTP_POST_VARS</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorNoAlbumExisting" class="en" class="en" class="en">Sorry there is no album where you are allowed to upload files</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorAllowedMemorySize" class="en" class="en" class="en">Allowed memory size of X bytes exhausted</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorExecDisabled" class="en" class="en" class="en">Exec() has been disabled</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#ErrorNotAGdExtension" class="en" class="en" class="en">Not a GD extension</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#imagemagick127" class="en" class="en" class="en">Error executing ImageMagick - Return value 127</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#no_gd_support" class="en" class="en" class="en">PHP running on your server does not support the GD image library</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#no_file_uploaded" class="en" class="en" class="en">No file was uploaded ! If you have really selected a file to upload, check that the server allows file uploads</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#destination_not_writable" class="en" class="en" class="en">Destination directory x is not writable by the script</a></li>\n';
doc_toc += '             </ul>\n';
doc_toc += '           </li>\n';
doc_toc += '           <li><a href="upload_troubleshooting.htm#upload_trouble_server-sided_restrictions" class="en" class="en" class="en">Server-sided restrictions</a>\n';
doc_toc += '             <ul>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_trouble_server-sided_restrictions_php_ini" class="en" class="en" class="en">The PHP configuration file php.ini</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_trouble_server-sided_restrictions_check" class="en" class="en" class="en">Things to check</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_trouble_methods" class="en" class="en" class="en">Upload mechanisms/methods</a></li>\n';
doc_toc += '               <li><a href="upload_troubleshooting.htm#upload_trouble_memory_usage" class="en" class="en" class="en">Memory usage during resizing</a></li>\n';
doc_toc += '             </ul>\n';
doc_toc += '           </li>\n';
doc_toc += '         </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="comments.htm" class="en" class="en" class="en">Comments</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="comments.htm#comments_allow" class="en" class="en" class="en">Allowing comments</a></li>\n';
doc_toc += '      <li><a href="comments.htm#comments_options" class="en" class="en" class="en">Comments options</a></li>\n';
doc_toc += '      <li><a href="comments.htm#comments_options_spam" class="en" class="en" class="en">Spam issues</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="comments.htm#comments_options_spam_captcha" class="en" class="en" class="en">Captcha</a></li>\n';
doc_toc += '          <li><a href="comments.htm#comments_options_spam_approval" class="en" class="en" class="en">Approval</a></li>\n';
doc_toc += '          <li><a href="comments.htm#comments_options_spam_akismet" class="en" class="en" class="en">Akismet</a></li>\n';
doc_toc += '          <li><a href="comments.htm#comments_options_spam_resume" class="en" class="en" class="en">Summary</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="comments.htm#comments_review" class="en" class="en" class="en">Reviewing Comments</a></li>\n';
doc_toc += '      <li><a href="comments.htm#comments_individual" class="en" class="en" class="en">Individual Comments</a></li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="bridging.htm" class="en" class="en" class="en">Bridging</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_bridge_purpose" class="en" class="en" class="en">What bridging does</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_bridge_start" class="en" class="en" class="en">Available bridge files</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_prerequisites_start" class="en" class="en" class="en">Pre-requistes</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_cookie_start" class="en" class="en" class="en">Authentication by cookie</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_standalone_start" class="en" class="en" class="en">Standalone version first</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_users_start" class="en" class="en" class="en">Coppermine users, groups and pics uploaded by users are lost when integrating</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_backup_start" class="en" class="en" class="en">Backup</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_steps_start" class="en" class="en" class="en">Integration steps</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_start" class="en" class="en" class="en">Using the bridge manager</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_app_start" class="en" class="en" class="en">Choose application to bridge coppermine with</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_path_start" class="en" class="en" class="en">Path(s) used by your bridge app</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_path_full_forum_url" class="en" class="en" class="en">Bridge app URL</a></li>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_path_relative_path_of_forum_from_webroot" class="en" class="en" class="en">Absolute bridge app path</a></li>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_path_relative_path_to_config_file" class="en" class="en" class="en">Relative path to your bridge app\'s config file</a></li>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_path_cookie_prefix" class="en" class="en" class="en">Cookie prefix</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_specific_start" class="en" class="en" class="en">Bridge-app-specific settings</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="bridging.htm#bridge_manager_specific_groups" class="en" class="en" class="en">Use bridge app custom groups?</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="bridging.htm#bridge_manager_enable_start" class="en" class="en" class="en">Enable/disable bridging</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="bridging.htm#bridge_manager_recover_start" class="en" class="en" class="en">Recover from failed bridging</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_steps_sync_start" class="en" class="en" class="en">Synchronising the bridge app groups with Coppermine\'s groups</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_support_start" class="en" class="en" class="en">Bridging support</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_config_options_start" class="en" class="en" class="en">Some config options get disabled</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_files_start" class="en" class="en" class="en">Bridging files</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_bridge_file_creating_start" class="en" class="en" class="en">Creating a custom bridge file</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_philosophy_start" class="en" class="en" class="en">Bridging philosophy</a></li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_individual_bridge_issues_start" class="en" class="en" class="en">Individual bridge issues</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_individual_bridge_issues_phpbb3" class="en" class="en" class="en">phpBB3</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_individual_bridge_issues_punbb115" class="en" class="en" class="en">PunBB1.1.5</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_individual_bridge_issues_punbb12" class="en" class="en" class="en">PunBB1.2</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_individual_bridge_issues_xmb" class="en" class="en" class="en">XMB</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="bridging.htm#integrating_subdomain" class="en" class="en" class="en">Subdomain issues</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_subdomain_file_system" class="en" class="en" class="en">File system</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_subdomain_cookie" class="en" class="en" class="en">Cookies</a></li>\n';
doc_toc += '          <li><a href="bridging.htm#integrating_subdomain_www" class="en" class="en" class="en">www-subdomain</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '  <li><a href="dev.htm" class="en" class="en" class="en">Developer documentation</a>\n';
doc_toc += '    <ul>\n';
doc_toc += '      <li><a href="dev_files.htm" class="en" class="en" class="en">Adding/renaming/removing files</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_target_audience" class="en" class="en" class="en">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_scope" class="en" class="en" class="en">Scope</a></li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_naming" class="en" class="en" class="en">Naming conventions</a></li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_adding" class="en" class="en" class="en">Adding files</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_files.htm#dev_files_adding_language" class="en" class="en" class="en">Language files</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_renaming" class="en" class="en" class="en">Renaming files</a></li>\n';
doc_toc += '          <li><a href="dev_files.htm#dev_files_deleting" class="en" class="en" class="en">Deleting files</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_coding.htm" class="en" class="en" class="en">Coding guidelines</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_target_audience" class="en" class="en" class="en">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_scope" class="en" class="en" class="en">Scope</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_indentation" class="en" class="en" class="en">Indentation</a></li>\n';
doc_toc += '          <li><a href="dev_coding_encoding" class="en" class="en" class="en">Encoding</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_general" class="en" class="en" class="en">General guidelines</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_php" class="en" class="en" class="en">PHP code</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_formatting" class="en" class="en" class="en">Formatting</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_control_structures" class="en" class="en" class="en">Control Structures</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_function_calls" class="en" class="en" class="en">Function Calls</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_function_definitions" class="en" class="en" class="en">Function Definitions</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_php_tags" class="en" class="en" class="en">PHP Code Tags</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_nesting" class="en" class="en" class="en">Nesting of HTML in PHP</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_linebreaks" class="en" class="en" class="en">Line breaks</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_naming_conventions" class="en" class="en" class="en">Naming Conventions</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_database" class="en" class="en" class="en">Database queries</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_documentation" class="en" class="en" class="en">Documentation</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_html_output" class="en" class="en" class="en">HTML output</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_output_images" class="en" class="en" class="en">Image-tags in HTML output</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_output_dev_coding_html_output_links" class="en" class="en" class="en">Links in HTML output</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_output_form" class="en" class="en" class="en">Form elements in HTML output</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_output_deprecated" class="en" class="en" class="en">Deprecated tags</a></li>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_html_prefered_tags" class="en" class="en" class="en">Prefered tags</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_credits" class="en" class="en" class="en">Credits for coding guidelines</a></li>\n';
doc_toc += '          <li><a href="dev_coding.htm#dev_coding_usability" class="en" class="en" class="en">Usability</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_coding.htm#dev_coding_usability_forms" class="en" class="en" class="en">Forms</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_config.htm" class="en" class="en" class="en">Config options</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_add_target_audience" class="en" class="en" class="en">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_history" class="en" class="en" class="en">History</a></li>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_new_features" class="en" class="en" class="en">New features</a></li>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_step_by_step" class="en" class="en" class="en">Step by Step</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_basiq_sql" class="en" class="en" class="en">Basic.sql</a></li>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_update_sql" class="en" class="en" class="en">Update.sql</a></li>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_array" class="en" class="en" class="en">Admin.inc.php</a></li>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_language_file" class="en" class="en" class="en">Language file</a></li>\n';
doc_toc += '              <li><a href="dev_config.htm#dev_config_step_documentation" class="en" class="en" class="en">Documentation</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_config.htm#dev_config_todo" class="en" class="en" class="en">To Do</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_database.htm" class="en" class="en" class="en">Database schema</a>\n';
doc_toc += '          <ul>\n';
doc_toc += '              <li><a href="dev_database.htm#db_config_file" class="en" class="en" class="en">Configuration file</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_reference within_code" class="en" class="en" class="en">Database reference within coppermine code</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_albums" class="en" class="en" class="en">cpg15x_albums</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_banned" class="en" class="en" class="en">cpg15x_banned</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_bridge" class="en" class="en" class="en">cpg15x_bridge</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_categories" class="en" class="en" class="en">cpg15x_categories</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_categorymap" class="en" class="en" class="en">cpg15x_categorymap</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_comments" class="en" class="en" class="en">cpg15x_comments</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_config" class="en" class="en" class="en">cpg15x_config</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_dict" class="en" class="en" class="en">cpg15x_dict</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_ecards" class="en" class="en" class="en">cpg15x_ecards</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_exif" class="en" class="en" class="en">cpg15x_exif</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_favpics" class="en" class="en" class="en">cpg15x_favpics</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_filetypes" class="en" class="en" class="en">cpg15x_filetypes</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_hit_stats" class="en" class="en" class="en">cpg15x_hit_stats</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_languages" class="en" class="en" class="en">cpg15x_languages</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_pictures" class="en" class="en" class="en">cpg15x_pictures</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_plugins" class="en" class="en" class="en">cpg15x_plugins</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_sessions" class="en" class="en" class="en">cpg15x_sessions</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_temp_messages" class="en" class="en" class="en">cpg15x_temp_messages</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_usergroups" class="en" class="en" class="en">cpg15x_usergroups</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_users" class="en" class="en" class="en">cpg15x_users</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_votes" class="en" class="en" class="en">cpg15x_votes</a></li>\n';
doc_toc += '              <li><a href="dev_database.htm#db_vote_stats" class="en" class="en" class="en">cpg15x_vote_stats</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_documentation.htm" class="en" class="en" class="en">Editing the documentation</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_target_audience" class="en" class="en" class="en">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_edit_existing" class="en" class="en" class="en">Edit existing documents</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_add" class="en" class="en" class="en">Add new documents</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_move" class="en" class="en" class="en">Moving content from one document to the other</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_hidden_feature" class="en" class="en" class="en">Hidden features</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_database_structure" class="en" class="en" class="en">Database structure</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_header_block" class="en" class="en" class="en">Header &amp; footer blocks</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_i18n" class="en" class="en" class="en">Documentation internationalization</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_detail" class="en" class="en" class="en">Expandable/collapsible "detail"-blocks</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_help" class="en" class="en" class="en">Help</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_help_start_end" class="en" class="en" class="en">Start and end anchors needed</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_heading_anchors" class="en" class="en" class="en">Adding anchors to headings</a></li>\n';
doc_toc += '          <li><a href="dev_documentation.htm#dev_documentation_code" class="en" class="en" class="en">Code</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_css_code" class="en" class="en" class="en">CSS class &quot;code&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_html_pre" class="en" class="en" class="en">HTML-tag &quot;pre&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_css_cpg_code" class="en" class="en" class="en">CSS class &quot;cpg_code&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_css_smallcode" class="en" class="en" class="en">CSS class &quot;smallcode&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_html_textarea" class="en" class="en" class="en">HTML-tag &quot;textarea&quot;</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_combining" class="en" class="en" class="en">Combining HTML tags and CSS classes</a></li>\n';
doc_toc += '              <li><a href="dev_documentation.htm#dev_documentation_code_syntaxhighlighting" class="en" class="en" class="en">No syntax highlighting</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_javascript.htm" class="en" class="en" class="en">Javascript in Coppermine</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_target_audience" class="en" class="en" class="en">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_files_location" class="en" class="en" class="en">Javascript files location and organization</a></li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_files_location_todo" class="en" class="en" class="en">TODO</a></li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_include_files" class="en" class="en" class="en">How to include javascript files</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_javascript.htm#dev_javascript_include_files_plugin" class="en" class="en" class="en">How to include JavaScript files in plugins</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_php_vars" class="en" class="en" class="en">How to pass PHP variables to included javascript</a></li>\n';
doc_toc += '          <li><a href="dev_javascript.htm#dev_javascript_autostart" class="en" class="en" class="en">Autostart JavaScript</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_package.htm#packaging" class="en" class="en" class="en">Packaging a new release</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_package.htm#packaging_target_audience" class="en" class="en" class="en">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_package.htm#packaging_subversion" class="en" class="en" class="en">Subversion repository</a></li>\n';
doc_toc += '          <li><a href="dev_package.htm#packaging_steps" class="en" class="en" class="en">Steps</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_checkout" class="en" class="en" class="en">Check out</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_loop_through_files" class="en" class="en" class="en">Replace version number in all files</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_loop_through_files_linux" class="en" class="en" class="en">Linux</a></li>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_loop_through_files_windows" class="en" class="en" class="en">Windows</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_bom" class="en" class="en" class="en">Remove Byte Order Marks</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#" class="en" class="en" class="en">Prepare an announcement thread</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_write_announcement_thread" class="en" class="en" class="en">Edit the upgrade section of the docs</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_changelog" class="en" class="en" class="en">Edit the changelog</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_version_number" class="en" class="en" class="en">Edit the version number</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_svn_commit" class="en" class="en" class="en">Commit your changes</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_versioncheck" class="en" class="en" class="en">Update the versioncheck data</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_versioncheck_complete" class="en" class="en" class="en">Completeness</a></li>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_versioncheck_update" class="en" class="en" class="en">Update revision numbers and hashes</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_xml_webspace" class="en" class="en" class="en">Update cpg15x.files.xml on the Coppermine home page</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_svn_export" class="en" class="en" class="en">Export from subversion</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_rapidsvn" class="en" class="en" class="en">RapidSVN</a></li>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_tortoisesvn" class="en" class="en" class="en">Tortoise SVN</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_create_zip" class="en" class="en" class="en">Create the archive</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_upload_zip" class="en" class="en" class="en">Upload the archive</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_move_announcement" class="en" class="en" class="en">Publish announcement thread</a></li>\n';
doc_toc += '              <li><a href="dev_package.htm#packaging_steps_news" class="en" class="en" class="en">Create news items</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_news_sf" class="en" class="en" class="en">News item on sf.net</a></li>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_news_forum" class="en" class="en" class="en">News item on forum</a></li>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_news_homepage" class="en" class="en" class="en">News item on home page</a></li>\n';
doc_toc += '                  <li><a href="dev_package.htm#packaging_steps_news_embedded" class="en" class="en" class="en">News embedded into existing galleries</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_package.htm#packaging_steps_demo" class="en" class="en" class="en">Update the demo</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_plugins.htm" class="en" class="en" class="en">Plugin Writing for Coppermine</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing" class="en" class="en" class="en">Quick Start Guide</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_target_audience" class="en" class="en" class="en">Intended Audience</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_target_audience_yes" class="en" class="en" class="en">People who should read this documentation</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_target_audience_no" class="en" class="en" class="en">People who do not need to read this documentation</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_why_write" class="en" class="en" class="en">Why write plugins?</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_preparation" class="en" class="en" class="en">Preparations</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_name" class="en" class="en" class="en">Choose a name</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_translation" class="en" class="en" class="en">Consider translations</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_config" class="en" class="en" class="en">Consider a config screen</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_db" class="en" class="en" class="en">Database changes</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_support" class="en" class="en" class="en">Support issues</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_preparation_versions" class="en" class="en" class="en">Plugin versions</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_core_files" class="en" class="en" class="en">Core files</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_naming_conventions" class="en" class="en" class="en">Naming conventions</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_naming_conventions_folders" class="en" class="en" class="en">Folders</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_naming_conventions_files" class="en" class="en" class="en">Files</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_naming_conventions_archives" class="en" class="en" class="en">Archives</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_naming_conventions_coding" class="en" class="en" class="en">Coding</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_globals" class="en" class="en" class="en">Use of Superglobals</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_database" class="en" class="en" class="en">Database access</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_direct_queries" class="en" class="en" class="en">Direct queries</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_tables_access" class="en" class="en" class="en">Accessing database tables</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_tables_create" class="en" class="en" class="en">Creating database tables</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_tables_delete" class="en" class="en" class="en">Deleting database tables</a></li>\n';
doc_toc += '              <li><a href="dev_plugins.htm#plugin_writing_database_config" class="en" class="en" class="en">Storing your plugin\'s config values</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_types" class="en" class="en" class="en">Plugin Types</a></li>\n';
doc_toc += '          <li><a href="dev_plugins.htm#plugin_writing_includes" class="en" class="en" class="en">Using includes</a></li>\n';
doc_toc += '          <li><a href="dev_plugin_api.htm" class="en" class="en" class="en">Plugin Writing: Tutorial, API</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_overview_who" class="en" class="en" class="en">Intended Audience</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_overview_skills" class="en" class="en" class="en">Required Skills &amp; Knowledge</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_overview_tools" class="en" class="en" class="en">Recommended Software &amp; Support Forums</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_tutorial" class="en" class="en" class="en">"Hello, world" Plugin Tutorial</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_first" class="en" class="en" class="en">My First Plugin</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_installconfig" class="en" class="en" class="en">Installation, Configuration, and Clean-Up</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_installsimple" class="en" class="en" class="en">Installation with Simple Configuration</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_install" class="en" class="en" class="en">Installation with Configuration Parameters</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_config" class="en" class="en" class="en">Adding a config section to your plugin</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_cleanup" class="en" class="en" class="en">Uninstallation &amp; Clean-Up</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>  \n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_linking" class="en" class="en" class="en">Linking to Custom Plugin Scripts</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_button" class="en" class="en" class="en">Adding a Button to Coppermine</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_button_admin_menu" class="en" class="en" class="en">Adding a Button to the admin menu</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_api.htm#plugin_api_tutorial_button_overall_menu" class="en" class="en" class="en">Adding a Button to the overall menu</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_js" class="en" class="en" class="en">Adding JavaScript to plugins</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_lang" class="en" class="en" class="en">Multi-language Support</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_api.htm#plugin_api_tutorial_distrib" class="en" class="en" class="en">Distributing Your Plugin</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_hooks" class="en" class="en" class="en">Plugin Hooks</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_plugin_class" class="en" class="en" class="en">Plugin Class Properties &amp; Methods</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_api.htm#plugin_api_globals" class="en" class="en" class="en">Global Variables &amp; Constants</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugin_steps.htm" class="en">Creating plugins: step by step</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugin_steps.htm#steps_template_plugin" class="en">Getting started with the plugin template</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_extract_template" class="en">1. Extract the plugin template</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_pick_name" class="en">2. Choose a name</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_rename_folder" class="en">3. Rename the folder</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_rename_file_content" class="en">4. Rename the placeholders inside the files</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_copy_to_target" class="en">5. Copy the new plugin folder to the target</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="dev_plugin_steps.htm#steps_config" class="en">Creating a config record for your plugin</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_config_option_type" class="en">1. Decide for an option type</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_config_name" class="en">2. Choose a record name</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_config_install" class="en">3. Create the record during plugin install</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_config_uninstall" class="en">4. Create the uninstall query</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_config_defaults" class="en">5. Specify the scope of your config record</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_config_form_options" class="en">6. Populate form options</a></li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_config_rows" class="en">7. Output the form elements (rows)</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_steps.htm#steps_config_rows_checkbox" class="en">a. Checkbox</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_steps.htm#steps_config_rows_radio" class="en">b. Radio button</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_steps.htm#steps_config_rows_dropdown" class="en">c. Dropdown (select/option list)</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_steps.htm#steps_config_rows_textinput" class="en">d. Text input field (one line), both for numerical input (integers) as well as any other textual input</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_steps.htm#steps_config_rows_textarea" class="en">e. Text input field (multiple lines, aka textarea)</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_steps.htm#steps_config_language" class="en">8. Create the needed translation strings</a></li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_plugin_hooks.htm" class="en" class="en" class="en">Reference list of plugin hooks </a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_target_audience" class="en" class="en" class="en">Target audience</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_choosing" class="en" class="en" class="en">Choosing Plugin Hooks</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_finding" class="en" class="en" class="en">Finding Plugin Hooks</a></li>\n';
//doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_using" class="en" class="en" class="en">Using Plugin Hooks</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_filename" class="en" class="en" class="en">Plugin Hooks by File Name</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_ind_php" class="en" class="en" class="en">Script: index.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_ind_anyc" class="en" class="en" class="en">Filter: \'anycontent\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_ind_ucp" class="en" class="en" class="en">Filter: \'user_caption_params\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_ind_pb" class="en" class="en" class="en">Filter: \'plugin_block\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_di_php" class="en" class="en" class="en">Script: displayimage.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_di_fi" class="en" class="en" class="en">Filter: \'file_info\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_di_pbc" class="en" class="en" class="en">Filter: \'post_breadcrumb\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_thumb_php" class="en" class="en" class="en">Script: thumbnails.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_thumb_pbc" class="en" class="en" class="en">Filter: \'post_breadcrumb\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_php" class="en" class="en" class="en">Script: functions.inc.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_ghgf" class="en" class="en" class="en">Filters: \'gallery_header\' and \'gallery_footer\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_td" class="en" class="en" class="en">Filter: \'thumb_data\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_th" class="en" class="en" class="en">Filter: \'template_html\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_pm" class="en" class="en" class="en">Filter: \'page_meta\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_func_tc" class="en" class="en" class="en">Filters: \'thumb_caption\' and all derivatives</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_th_php" class="en" class="en" class="en">Script: themes.inc.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_th_fd" class="en" class="en" class="en">Filter: \'file_data\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_um_php" class="en" class="en" class="en">Script: usermgr.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_um_umh" class="en" class="en" class="en">Filter: \'usermgr_header\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_um_umf" class="en" class="en" class="en">Filter: \'usermgr_footer\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_pm_php" class="en" class="en" class="en">Script: pluginmgr.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_pm_pcon" class="en" class="en" class="en">Filter: \'plugin_configure\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_pm_pcl" class="en" class="en" class="en">Filter: \'plugin_cleanup\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_php" class="en" class="en" class="en">Script: plugin_api.inc.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_ph" class="en" class="en" class="en">Filter: \'page_html\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_pe" class="en" class="en" class="en">Filter: \'page_end\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_pi" class="en" class="en" class="en">Filter: \'plugin_install\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_pu" class="en" class="en" class="en">Filter: \'plugin_uninstall\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_pw" class="en" class="en" class="en">Filter: \'plugin_wakeup\'</a></li>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_papi_ps" class="en" class="en" class="en">Filter: \'plugin_sleep\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_init_php" class="en" class="en" class="en">Script: init.inc.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_init_ps" class="en" class="en" class="en">Filter: \'page_start\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                  <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_picm_php" class="en" class="en" class="en">Script: picmgmt.inc.php</a>\n';
doc_toc += '                    <ul>\n';
doc_toc += '                      <li><a href="dev_plugin_hooks.htm#plugin_api_hooks_picm_afd" class="en" class="en" class="en">Filter: \'add_file_data\'</a></li>\n';
doc_toc += '                    </ul>\n';
doc_toc += '                  </li>\n';
doc_toc += '                </ul>\n';
doc_toc += '              </li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_alphabetically" class="en" class="en" class="en">Plugin Hooks Alphabetically</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hooks_hooktype" class="en" class="en" class="en">Plugin Hooks by Hook Type</a></li>\n';
doc_toc += '              <li><a href="dev_plugin_hooks.htm#plugin_hook_examples" class="en" class="en" class="en">Plugin Hook Examples</a>\n';
doc_toc += '                <ul>\n';
doc_toc += '                    <li><a href="dev_plugin_hooks.htm#plugin_hook_example_upload_method" class="en" class="en" class="en">Adding an upload method</a></li>\n';
doc_toc += '                    <li><a href="dev_plugin_hooks.htm#plugin_hook_example_theme_display_thumbnails" class="en" class="en" class="en">Add tags for thumbnails display</a></li>\n';
doc_toc += '                </ul></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_superglobals.htm" class="en" class="en" class="en">Sanitization of Superglobals using Inspekt</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_target_audience" class="en" class="en" class="en">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_whats_new" class="en" class="en" class="en">What\'s new?</a></li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_reason" class="en" class="en" class="en">Reason</a></li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_about_inspekt" class="en" class="en" class="en">What Inspekt does</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_inspekt_accessor_methods" class="en" class="en" class="en">Inspekt accessor methods</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_howto" class="en" class="en" class="en">How to use Inspekt with Coppermine Photo Gallery</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_using" class="en" class="en" class="en">Using Inspekt</a></li>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_inspekt_in_coppermine" class="en" class="en" class="en">Inspekt in Coppermine</a></li>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_consider_methods" class="en" class="en" class="en">Consider the methods to use</a></li>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_examples" class="en" class="en" class="en">Examples</a></li>\n';
doc_toc += '              <li><a href="dev_superglobals.htm#superglobals_sanitization_howto_regex" class="en" class="en" class="en">Regular Expressions</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_superglobals.htm#superglobals_sanitization_links" class="en" class="en" class="en">Links</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_subversion.htm" class="en" class="en" class="en">Subversion</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_target_audience" class="en" class="en" class="en">Target audience</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_caveat" class="en" class="en" class="en">Caveats</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_definition" class="en" class="en" class="en">What is subversion?</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_hosting" class="en" class="en" class="en">Where is the subversion repository hosted?</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_software" class="en" class="en" class="en">Recommended software</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_websvn" class="en" class="en" class="en">Alternative access using Web SVN</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_repository_structure" class="en" class="en" class="en">Repository structure</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_repository_structure_trunk" class="en" class="en" class="en">Coppermine core files</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_repository_structure_plugins" class="en" class="en" class="en">Plugins</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_checking_out" class="en" class="en" class="en">Checking out</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_checking_out_entire" class="en" class="en" class="en">Checking out the entire repository</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_checking_out_particular_package" class="en" class="en" class="en">Checking out a particular Package</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_checking_out_particular_file" class="en" class="en" class="en">Checking out a particular file</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_checking_out_refering" class="en" class="en" class="en">Refering to files downloaded from the subversion repository</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_download" class="en" class="en" class="en">Is there no single package that I could download instead?</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_download_tarball" class="en" class="en" class="en">Download Tarball archives</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_dev-only" class="en" class="en" class="en">Developers-only</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_checkout_checkin" class="en" class="en" class="en">Check out before checking in</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_commit" class="en" class="en" class="en">Committing your code</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_changelog" class="en" class="en" class="en">Changelog</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_write_access" class="en" class="en" class="en">Obtaining write access</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_step-by-step" class="en" class="en" class="en">Step by step</a>\n';
doc_toc += '            <ul>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_client-download" class="en" class="en" class="en">Download the client application</a></li>\n';
doc_toc += '              <li><a href="dev_subversion.htm#dev_subversion_initial_checkout" class="en" class="en" class="en">Initial checkout</a></li>\n';
doc_toc += '            </ul>\n';
doc_toc += '          </li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_revision" class="en" class="en" class="en">Revisions</a></li>\n';
doc_toc += '          <li><a href="dev_subversion.htm#dev_subversion_fileheaders" class="en" class="en" class="en">Subversion file headers</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_tools.htm" class="en" class="en" class="en">Tools recommended by the devs</a>\n';
doc_toc += '          <ul>\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_database" class="en" class="en" class="en">Database manipulation</a></li>\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_ftp_client" class="en" class="en" class="en">FTP clients</a></li>\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_web_development" class="en" class="en" class="en">Web development</a></li>\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_editor" class="en" class="en" class="en">Text editors</a></li>\n';
doc_toc += '              <li><a href="dev_tools.htm#dev_tools_picture_editors" class="en" class="en" class="en">Picture Editors</a></li>\n';
doc_toc += '          </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_update.htm" class="nl" class="en" class="en">Updating</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_update.htm#dev_update_target_audience" class="nl" class="en" class="en">Doelpubliek</a></li>\n';
doc_toc += '          <li><a href="dev_update.htm#dev_update_hidden_feature" class="nl" class="en" class="en">Verborgen functie</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_vars.htm#vars_constants" class="en" class="en" class="en">Variables &amp; Constants</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_vars.htm#vars_constants_system" class="en" class="en" class="en">System Global Variables</a></li>\n';
doc_toc += '          <li><a href="dev_vars.htm#vars_constants_constants" class="en" class="en" class="en">Coppermine Constants</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '      <li><a href="dev_versioncheck.htm" class="en" class="en" class="en">Versioncheck</a>\n';
doc_toc += '        <ul>\n';
doc_toc += '          <li><a href="dev_versioncheck.htm#dev_versioncheck_hidden_features" class="en" class="en" class="en">Hidden features</a></li>\n';
doc_toc += '          <li><a href="dev_versioncheck.htm#dev_versioncheck_xml" class="en" class="en" class="en">XML structure</a></li>\n';
doc_toc += '          <li><a href="dev_versioncheck.htm#dev_versioncheck_todo" class="en" class="en" class="en">To do list</a></li>\n';
doc_toc += '        </ul>\n';
doc_toc += '      </li>\n';
doc_toc += '    </ul>\n';
doc_toc += '  </li>\n';
doc_toc += '</ul>\n';
doc_toc += '</div>\n';
$('#toc').replaceWith('<div id="toc" class="en" class="en">' + doc_toc + '</div>');
}



function cpgDocHeader() {
    // Only display the header if the docs are not included
    if (getUrlParameters('hide_nav') == 1) {
        return;
    }
    $('#docheader').text('Coppermine Photo Gallery v1.5.46: Documentatie en Handleiding');
    $('#docheader').after('<br clear="all" />\n<a name="top" class="en" class="en"></a>');
    $('#docheader').before('<img src="../images/coppermine-logo.png" alt="Coppermine Photo Gallery - Uw Online Fotogalerij" align="left" />\n');
}

function cpgDocSearch() {
    // Only display the header if the docs are not included
    if (getUrlParameters('hide_nav') == 1) {
        return;
    }
    var doc_search = '';
    doc_search += '  <div id="doc_search" style="display:none;" class="en" class="en">\n';
    doc_search += '    <form action="http://www.google.com/cse" id="cse-search-box" class="en" class="en">\n';
    doc_search += '      <input type="hidden" name="cx" value="009353514429642786404:5dgz-mtqq70" />\n';
    doc_search += '      <input type="text" name="q" size="25" />\n';
    doc_search += '      <input type="submit" name="sa" value="search docs" style="font-size:9px;" />\n';
    doc_search += '    </form>\n';
    doc_search += '    <script type="text/javascript" src="http://www.google.com/coop/cse/brand?form=cse-search-box&lang=en" class="en" class="en"></script>\n';
    doc_search += '  </div>\n';
    $('#toc').append(doc_search);
}

function cpgDocFooter() {
  var overall_doc_footer = '';
  overall_doc_footer += '</div>';
  overall_doc_footer += '<div class="backtotop" class="en" class="en">';
  overall_doc_footer += '<a href="#top" class="en" class="en">Terug naar de top</a>';
  overall_doc_footer += '</div>';
  $('#doc_footer').append(overall_doc_footer);
}



function dateRevision() {
  // strip the unneeded data from last_changed and revision fields
  var lastChangeDate = $('#doc_last_changed').text();
  var lastChangeDate = lastChangeDate.replace('$', '');
  var lastChangeDate = lastChangeDate.replace('$', '');
  var lastChangeDate = lastChangeDate.replace('LastChangedDate: ', '');
  var lastChangeDate = lastChangeDate.replace(/Date: /g, '');
  $('#doc_last_changed').text('About this document: ' + 'last changed on ' + lastChangeDate);

  var revisionNumber = $('#doc_revision').text();
  var revisionNumber = revisionNumber.replace('$', '');
  var revisionNumber = revisionNumber.replace('$', '');
  var revisionNumber = revisionNumber.replace(/Revision: /g, '');
  $('#doc_revision').text(', SVN revision ' + revisionNumber);
}

function getUrlParameters(name)
{
  // Taken from http://www.netlobo.com/url_query_string_javascript.html
  name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
  var regexS = "[\\?&]"+name+"=([^&#]*)";
  var regex = new RegExp(regexS);
  var results = regex.exec(window.location.href);
  if(results == null) {
    return '';
  } else {
    return results[1];
  }
}

function cpgDocTranslationWarning() {
  $('#doc_en_only').replaceWith('<div class="cpg_message_validation" class="en" class="en"><h1>Not translated yet</h1><p>This page has not been translated yet and therefore appears in English.</p><p>Translators wanted: take a look at this page - doesn\'t look too complicated, does it? If you\'re convinced that you could translate this page, please check the official Coppermine site; we\'re looking forward to your contribution.</div>');
  $('#doc_en_partial').replaceWith('<div class="cpg_message_warning" class="en" class="en"><h1>Partial translation</h1><p>This page hasn\'t been fully translated so far and therefore partially shows in your language and partially in English.</p><p>Translators wanted: take a look at this page - doesn\'t look too complicated, does it? If you\'re convinced that you could translate this page, please check the official Coppermine site; we\'re looking forward to your contribution.</div>');
}

$(document).ready(function()
{
    var $_GET = {};
    document.location.search.replace(/\??(?:([^=]+)=([^&]*)&?)/g, function () {
        function decode(s) {
            return decodeURIComponent(s).replace(/\+/g, " ");
        }
        $_GET[decode(arguments[1])] = decode(arguments[2]);
    });
    //hide all elements with class detail_body
    $(".detail_body").hide();
    if ($_GET["expand_all"] == 1) { // Show all details and get rid of the details toggle if the GET parameter expand_all is set
        $('.detail_body').show();
        //$('.detail_head_collapsed').replaceWith('');
    }
    //toggle the component with class detail_body
    $(".detail_head_collapsed").click(function()
    {
        $(this).toggleClass("detail_head_expanded").next(".detail_body").slideToggle(600);
    });
    $(".detail_expand_all").click(function()
    {
        $(".detail_body").slideDown(1200);
        $(".detail_head_collapsed").toggleClass("detail_head_expanded");
        $(".detail_expand_all").hide();
        $(".detail_collapse_all").show();

    });
    $(".detail_collapse_all").click(function()
    {
        $(".detail_body").slideUp(1200);
        $(".detail_head_collapsed").toggleClass("detail_head_expanded");
        $(".detail_expand_all").show();
        $(".detail_collapse_all").hide();

    });
    $(".detail_toggle_all").click(function()
    {
        $(".detail_body").slideToggle(600);
        $(".detail_head_collapsed").toggleClass("detail_head_expanded");
    });
    cpgDocHeader();
    cpgDocTranslationWarning();
    cpgDocToc();
    $("#tree").treeview({
        collapsed: true,
        unique: true,
        animated: "slow",
        persist: "location"
    });
    cpgDocSearch();
    cpgDocFooter();
    dateRevision();
    $("a.nolink").click(function(){
      return false;
    });
    // Fade the toc in if it is needed
    $("#toc").bind("mouseenter",function(){
        $("#toc_collapsed").hide();
        $("#toc_expanded").fadeIn('slow');
        $("#doc_search").show();
    });
    // Fade the toc out if it isn't used
    $("#toc").bind("mouseleave",function(){
        $("#toc_expanded").fadeOut('slow');
        $("#toc_collapsed").show();
        $("#doc_search").hide();
    });
    
});
